## LassoLibAuthnResponseEnvelope

LassoLibAuthnResponseEnvelope — <lib:AuthnResponseEnvelope>

## Functions

LassoLibAuthnResponseEnvelope * | lasso_lib_authn_response_envelope_new ()

## Types and Values

struct | LassoLibAuthnResponseEnvelope

## Description

## Functions

### lasso_lib_authn_response_envelope_new ()

    LassoLibAuthnResponseEnvelope *
    lasso_lib_authn_response_envelope_new (LassoLibAuthnResponse *response,
                                           char *assertionConsumerServiceURL);

Creates a new LassoLibAuthnResponseEnvelope object and initializes it with the parameters.

#### Parameters

response | the LassoLibAuthnResponse to envelop |
assertionConsumerServiceURL | assertion consumer service URL on the service provider |

#### Returns

a newly created LassoLibAuthnResponseEnvelope object

## Types and Values

### struct LassoLibAuthnResponseEnvelope

    struct LassoLibAuthnResponseEnvelope {
    	LassoNode parent;

    	GList *Extension; /* of xmlNode* */
    	LassoLibAuthnResponse *AuthnResponse;
    	char *AssertionConsumerServiceURL;
    };